### Method

# Ide ProjectFile is_directory

#### Declaration

    gboolean
    ide_project_file_is_directory (
      IdeProjectFile* self
    )

#### Description

Checks if `self` represents a directory. If `ide_project_file_is_symlink()` is `TRUE`, this may still return `TRUE`.

Available since: | 3.32

#### Return value

Returns: | `gboolean`
| `TRUE` if `self` is a directory, or symlink to a directory.